Bug 1005876 - [abrt] glances-1.7.1-1.fc19: glances.py:4146:end:NameError: global name 'screen' is not defined
[abrt] glances-1.7.1-1.fc19: glances.py:4146:end:NameError: global name 'scre...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glances (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
abrt_hash:747689bb4a99e51cc7433197450...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 10:57 EDT by Markus
Modified: 2014-06-30 07:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 07:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.83 KB, text/plain)
2013-09-09 10:57 EDT, Markus
no flags Details
File: environ (3.67 KB, text/plain)
2013-09-09 10:57 EDT, Markus
no flags Details

  None (edit)
Description Markus 2013-09-09 10:57:23 EDT
Version-Release number of selected component:
glances-1.7.1-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/glances -c maiwald.tk
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/bin/glances
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
glances.py:4146:end:NameError: global name 'screen' is not defined

Traceback (most recent call last):
  File "/usr/bin/glances", line 9, in <module>
    load_entry_point('Glances==1.7.1', 'console_scripts', 'glances')()
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4391, in main
    if not client.client_init():
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4064, in client_init
    client_version = self.client.init()
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1578, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1292, in single_request
    self.send_content(h, request_body)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1439, in send_content
    connection.endheaders(request_body)
  File "/usr/lib64/python2.7/httplib.py", line 969, in endheaders
    self._send_output(message_body)
  File "/usr/lib64/python2.7/httplib.py", line 829, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.7/httplib.py", line 791, in send
    self.connect()
  File "/usr/lib64/python2.7/httplib.py", line 772, in connect
    self.timeout, self.source_address)
  File "/usr/lib64/python2.7/socket.py", line 562, in create_connection
    sock.connect(sa)
  File "/usr/lib64/python2.7/socket.py", line 224, in meth
    return getattr(self._sock,name)(*args)
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4155, in signal_handler
    end()
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4146, in end
    screen.end()
NameError: global name 'screen' is not defined

Local variables in innermost frame:
Comment 1 Markus 2013-09-09 10:57:27 EDT
Created attachment 795646 [details]
File: backtrace
Comment 2 Markus 2013-09-09 10:57:31 EDT
Created attachment 795647 [details]
File: environ
Comment 3 Edouard Bourguignon 2014-01-13 03:09:10 EST
Is it still the case with glances 1.7.2?
Comment 4 Markus 2014-06-30 07:10:06 EDT
No, it is fixed now.
I have no problems here anymore!

Note You need to log in before you can comment on or make changes to this bug.